Subject: bug#31602: libreoffice not reproducible

From: [email-masked] (Ludovic Courtès)
Date: Tue, 29 May 2018 19:21:40 +0200

Danny Milosavljevic <[email-masked]> skribis:

> These are actually all zip files.  The reason for the non-reproducibility is
> that something copies the contents from the source to a mktemp'ed directory
> without preserving timestamps.  Then this directory is zipped up.

Without *clearing* timestamps?

> So the zip file now contains non-constant timestamps.
>
> I think it's somewhere in postprocess, but I can't find it so far.

Perhaps we could add a phase that unpacks-resets-repacks these?  Or,
alternately, something like the Debian/R-B tool (I forgot the name) that
does that automatically.

Thanks,
Ludo’.